Last Comment Bug 916889 - Bug.attachment webservice calls should return the size of the attachment
: Bug.attachment webservice calls should return the size of the attachment
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: API (show other bugs)
: Production
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Byron Jones ‹:glob› [PTO until 2017-01-09]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 10:25 PDT by Erik Bryn
Modified: 2013-09-17 08:48 PDT (History)
4 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Erik Bryn 2013-09-16 10:25:14 PDT
Here's an example response: https://bugzilla-dev.allizom.org/rest/ember/show/843868

As you can see, the file size is not returned inside the attachment data. The existing UI displays it, so it would be nice to also be able to display it in the Ember frontend.
Comment 1 Byron Jones ‹:glob› [PTO until 2017-01-09] 2013-09-16 21:25:40 PDT
this is already in upstream, just needs a simple backport.
Comment 2 Byron Jones ‹:glob› [PTO until 2017-01-09] 2013-09-16 21:52:15 PDT
Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bmo/4.2/
modified Bugzilla/WebService/Bug.pm
Committed revision 9008.

Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bmo/4.2-dev/
modified Bugzilla/WebService/Bug.pm
Committed revision 8552.
Comment 3 Erik Bryn 2013-09-17 08:16:00 PDT
I'm seeing the `size` property being returned now, but it's value is 0. For example: https://bugzilla-dev.allizom.org/rest/ember/show/843868
Comment 4 Byron Jones ‹:glob› [PTO until 2017-01-09] 2013-09-17 08:48:36 PDT
(In reply to Erik Bryn from comment #3)
> I'm seeing the `size` property being returned now, but it's value is 0. For
> example: https://bugzilla-dev.allizom.org/rest/ember/show/843868

the size of all the attachments on that bug _is_ 0 bytes.

Note You need to log in before you can comment on or make changes to this bug.